package main.welcome_splash;

import javafx.scene.Parent;
import javafx.stage.Stage;
import main.TwoWayNode;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * WelcomeSplashController handle the behavior of welcome splash class
 */
public class WelcomeSplashController implements TwoWayNode {

    private Parent next;
    private Parent previous;
    private Stage currentSrage;
    private Parent currentNode;


    @Override
    public void SetNext(TwoWayNode nextObject) {
        this.next = nextObject.GetNode();
    }

    @Override
    public void SetPrevious(TwoWayNode previousObject) {
        this.previous = previousObject.GetNode();
    }

    @Override
    public void SetStage(Stage primaryStage) {
        this.currentSrage = primaryStage;
    }

    @Override
    public void SetParent(Parent parent) {
        this.currentNode = parent;
    }

    @Override
    public Parent GetNode() {
        return this.currentNode;
    }


}
